<!DOCTYPE html>

<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<link rel="stylesheet" href="style.css">

	<!-- Compiled and minified CSS -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

	<!-- Compiled and minified JavaScript -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>



<body>
	<div id="header-background"></div>
	<div class="container">
		<div class="row">
			<div class="col s12">
				<div class="card darken-1 z-depth-3" id="main-card">
					<div class="card-content">
						<h1 class="center-align">Desarrollo con Tecnologías Emergentes</h1>
						<p class="center-align" style="font-size: 1.8rem;">Trabajo del grupo T6</p>
						<p class="center-align" style="font-size: 1.4rem;">Título: TG1. Encontrar recursos sobre dos
							tecnologías emergentes
						</p>
						<br>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<br>
						<ul class="collection left-align" style="border: 0px;">
							<li class="collection-header">
								<h4>Índice</h4>
							</li>
							<li><a class="collection-item" href="#1">1. Información general</a></li>
							<li><a class="collection-item" href="#2">2. Descripción del tipo de tecnología</a></li>
							<li><a class="collection-item" href="#3">3. Fuentes de información (documentos)</a></li>
							<li><a class="collection-item" href="#4">4. Fuentes de información (cursos no gratuitos)</a>
							</li>
							<li><a class="collection-item" href="#5">5. Fuentes de información (cursos gratuitos)</a>
							</li>
							<li><a class="collection-item" href="#6">6. Ayudas económicas para estudiar las
									tecnologí­as</a></li>
							<li><a class="collection-item" href="#7">7. Recursos para implementar las tecnologí­as</a>
							</li>
							<li><a class="collection-item" href="#8">8. Conclusiones</a></li>
						</ul>
						<br>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<br>
						<div id="1">
							<h2>1. Información general</h2>
							<br>
							<h4>1.1 Autores</h4>
							<p>Trabajo realizado por:</p>
							<blockquote>
								<ul>
									<li>Cristobal Placencia - <span class="font-weight-bold">Product Owner</span></li>
									<li>Carlos Gamero</li>
									<li>Adrián Sanz</li>
									<li>Daniel Molina</li>
									<li>Daniel Villalobos</li>
								</ul>
							</blockquote>
							<br>
							<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
							<p>Se ha creado un repositorio en <a href="https://gitlab.com/dte2020/t6/tg1">en el
									siguiente enlace</a></p>
							<p> <img width="100%" src="assets/boards.png"></p>
							<p>En el mismo se crean diferentes issues donde se utiliza el modo de boards para gestionar
								estas tareas</p>
							<br>
							<h3>1.3 Burndown chart</h3>
							<img style="max-width:100%;" src="./assets/burndownTG1.png">
							<br>
							<h3>1.4 Presentación del trabajo</h3>
								<a class="light-blue waves-effect waves-light btn"
								href="./presentacion.pptx">Presentación TG1</a>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="2">
							<h2>2. Descripción del tipo de tecnología</h2>
							<p>Actualmente estamos en la búsqueda de conocimientos sobre el tema de los lenguajes que
								utilizan JVM.</p>
							<p>JVM son las siglas de Java Virtual Machine, y está referido al modo de ejecución que
								tiene Java y todos los lenguajes derivados de este.
								<br>
								Cuando un programa es escrito y compilado, suele generarse un fichero denominado binario
								que permite la ejecución del mismo.
								<br>
								Estos fichero binarios, se generan teniendo en cuenta la máquina que se ha utilizado
								para generarse, así como su sistema operativo y arquitectura, obligando a generar
								diferentes compilaciones según se quiera llegar a un público u otro.
								<br>
								Por ejemplo, no es
								posible ejecutar un binario de MacOS en Windows, y tampoco es posible ejecutar un
								programa compilado para arquitectura x64 en un ordenador con arquitectura x32.
								<br>
								<br>
								Para solucionar estos problemas de compatibilidad entre sistemas, surgen diferentes
								soluciones.
								<br>
								Por un lado, nos encontramos los lenguajes de programación interpretados. Estos
								lenguajes no requieren de ser compilados para poder ejecutarse, ya que se van lanzando
								las órdenes en tiempo real. Python o Matlab son lenguajes de programación interpretados.
								<br>
								Estos lenguajes de programación tienen otro tipo de carencias, como el peor rendimiento
								que los ficheros binarios o el no disponer de un compilador que pueda encontrar.
								<br>
								<br>
								Otra de las soluciones es la utilización de máquinas virtuales, como en el caso de las
								JVM.
								En este caso, el código fuente se compila a un tipo de binario denominado bytecode de
								Java, después la máquina virtual de Java (denominada, máquina virtual de proceso
								nativo), ejecuta ese código con indiferencia de la plataforma, ya que la máquina virtual
								es específica pero capaz de entender el binario intermedio de bytecode.
								<br>
								Estas soluciones permiten la ejecución de código de forma multiplataforma, permitiendo
								compilar una vez y ejecutar en cualquier sitio.
								<br>
								<br>
								<br>
								El primer lenguaje surgido para la JVM es el propio lenguaje Java. Con el tiempo, este
								lenguaje fue evolucionando y ofreciendo más versatilidad, así como la JVM que fue
								ganando potencia y versatilidad con cada nuevo lanzamiento.
								<br>
								Con el paso del tiempo han ido surgiendo otros lenguajes de programación que son capaces
								de compilar binarios de bytecode Java, como son el caso de Scala o Kotlin.
								<br>
								Estos nuevos lenguajes, tienen un enfoque mucho más moderno y específico, por ejemplo
								Scala está más orientado a la programación funcional, mientras que Kotlin busca ser un
								sustituto moderno de Java.
							</p>
							<br>
							<br>
							<br>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="3">
							<h2>3. Fuentes de información (documentos)</h2>
							<br>
							<h3>3.1 Fuentes de información sobre el tipo de tecnología en general </h3>
							<br>
							<h4>3.1.1 Fuente de información 1 sobre el tipo de tecnología en general</h4>
							<p> Este artículo presenta HVMtp,una implementación de máquina virtual Java (JVM)
								predecible.
								El autor expone un modelo de programación en tiempo real el cuál aumenta su
								previsibilidad
								con la combinación de los algoritmos predecibles en el tiempo de los que habla el autor.
								Utiliza la herramienta TETASARTS para realizar una red de autómatas temporizados para
								así conseguir un modelo de temporización para verificación temporal de sistemas SCJ.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://dl.acm.org/doi/pdf/10.1145/286942.286945?casa_token=M8v8OcHF5Y8AAAAA:SGqpiS9slclxJGdC_AWwtfz5s0EhTTeJsF3aUlWyU1G7Y2VWt1oL7kOjhBvxLSTudY778yCZEFID">HVMTP:
								A time predictable and portable java virtual machine for
								hard real-time embedded systems
							</a>
							<br>
							<br>
							<br>
							<h4>3.1.2 Fuente de información 2 sobre el tipo de tecnologí­a en general</h4>
							<p>Este artículo trata de la asignación eficiente de la abstracción de paso de mensajes
								concurrente (MPC)
								de la máquina virtual de Java es crítico para el rendimiento, la escalabilidad y la
								utilización de la CPU. Explica de MPC como las peticiones se tratan siguiendo e método
								FIFO
								además de sus comportamientos y el paralelismo. También profundiza en todos los estados
								de las heurísticas y de la aplicación de otros framework de MPC.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://dl.acm.org/doi/pdf/10.1145/2814270.2814289?casa_token=tGK9rR3h5Y8AAAAA:1wjVEMzRNog5Q8V4CX-UTWSJm2YDylZ2VITlNuLU1VtVuDMJwHszGPKP4-z6IUaPeia-zUbdykZq">Effectively
								Mapping Linguistic Abstractions for Message-PassingConcurrency to Threads on the Java
								Virtual Machine
							</a>
							<br>
							<br>
							<br>
							<h4>3.1.3 Fuente de información 3 sobre el tipo de tecnologí­a en general</h4>
							<p>En este artículo hablan de la máquina virtual Squawk la cuál es escria principalmente
								en Java y esta se ejecuta sin sistema operativo. Explican como es la arquitectura de
								Squawk y sus implementaciones como introducción al tema principal el cuál es la
								implementación de un mecanismo de aislamiento de aplicaciones para redes de sensores
								inalámbricos. En especial el documento hace referencia a un dispositivo inalámbrico
								específico desarrolado para la experimentación con aplicaciones de actuadores.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://dl.acm.org/doi/pdf/10.1145/1134760.1134773?casa_token=2TKt-wVyJQ0AAAAA:_fXm0e_j3cmHAL0zzc6WfF86PMirLLPwHI8ZpwvE5mUoPxKB2YjiRJzBHOSlAmdq74JiKXXGNXg2">JavaTM
								on the Bare Metal of Wireless Sensor DevicesThe Squawk Java Virtual Machine</a>
							<br>
							<br>
							<br>
							<h4>3.1.4 Fuente de información 4 sobre el tipo de tecnologí­a en general</h4>
							<p>El artículo habla de la combinación de los lenguajes C y Java para el procesamiento de
								tráfico de red, ya que el primero permite accesos y optimizaciones sencillas y el
								segundo facilita las tareas complejas. Por lo que los autores proponen uno métodos para
								aumentar el rendimiento del procesamiento del tráfico de red con la JVM.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.researchgate.net/profile/Ruediger_Gad/publication/289637876_Improving_Network_Traffic_Acquisition_and_Processing_with_the_Java_Virtual_Machine/links/57bb5de708ae51eef1f3d11e/Improving-Network-Traffic-Acquisition-and-Processing-with-the-Java-Virtual-Machine.pdf">Improving
								Network Traffic Acquisition and Processing with the Java Virtual Machine
							</a>
							<br>
							<br>
							<br>
							<h3>3.2 Fuentes sobre Kotlin </h3>
							<br>
							<h4>3.2.1 Fuente de información 1 sobre Kotlin</h4>
							<p>Esta fuente de información se trata de un blog en el que explica que es Kotlin, hace una
								comparativa con
								Java, nos detalla aquellos aspectos diferenciales de Java que hacen que Kotlin sea más
								cómodo a
								la hora de programar y por qué deberíamos de aprender a programar en dicho lenguaje.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://ifgeekthen.everis.com/es/que-es-kotlin-y-por-que-deberias-empezar-aprenderlo-ya ">¿Qué
								es Kotlin y por qué deberías empezar a aprenderlo ya?</a>
							<br>
							<br>
							<br>
							<h4>3.2.2 Fuente de información 2 sobre Kotlin</h4>
							<p>
								Esta fuente de información se trata de un blog donde nos explica de una forma sencilla y
								corta las características,
								ventajas y desventajas que nos aporta Kotlin a la hora de programar.</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://blog.bi-geek.com/introduccion-a-kotlin/">Introducción a Kotlin
							</a>
							<br>
							<br>
							<br>
							<h4>3.2.3 Fuente de información 3 sobre Kotlin</h4>
							<p>Esta fuente de información se trata de un blog donde nos explica la historia de Kotlin,
								algunas de sus ventajas y las empresas importantes que usan este lenguaje.
								También hay un vídeo de la charla de la introducción a Kotlin que se hizo en Google I/O.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://ingenieriadesoftware.es/kotlin-java-mejorado/">KOTLIN – UN JAVA
								MEJORADO</a>
							<br>
							<br>
							<br>
							<h4>3.2.4 Fuente de información 4 sobre Kotlin</h4>
							<p>
								Esta fuente de información se trata de un blog donde nos dan una serie de razones para
								elegir Kotlin como nuestro principal lenguaje de programación.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://platzi.com/blog/kotlin-desarrollar-apps-android/">Porqué elegir Kotlin
								como lenguaje para desarrollar aplicaciones Android modernas</a>
							<br>
							<br>
							<br>
							<h3>3.3 Fuentes sobre Java </h3>
							<br>
							<h4>3.3.1 Fuente de información 1 sobre Java</h4>
							<p>
								En esta fuente de información, de la página Oracle, el autor hace saber a los lectores
								las ventajas de Java comparada con otros lenguajes de programación, el por qué los
								desarrolladores de software lo prefieren y cómo aprenden a programar. Además, añade un
								enlace a un programa de formación de Java.
							</p>
							<a class="light-blue waves-effect waves-light btn" href="https://www.java.com/es/about/">
								Conozca más sobre la tecnología Java
							</a>
							<br>
							<br>
							<br>
							<h4>3.3.2 Fuente de información 2 sobre Java </h4>
							<p>
								En esta fuente, el autor nos explica los fundamentos de Java, qué es, cómo surgió y el
								futuro que se espera que tendrá en desarrollo software.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://desarrolloweb.com/articulos/497.php">
								Qué es Java
							</a>
							<br>
							<br>
							<br>
							<h4>3.3.3 Fuente de información 3 sobre Java </h4>
							<p>En la siguiente fuente, se nos explica las ventajas y las desventajas de la programación
								en Java y como plantear esto conceptos en la programación orientada a objetos. </p>

							<a class="light-blue waves-effect waves-light btn"
								href="https://adictoalcodigo.blogspot.com/2016/07/ventajas-y-desventajas-de-programar-en.html">Ventajas
								y desventajas de programar en JAVA</a>
							<br>
							<br>
							<h4>3.3.4 Fuente de información 4 sobre Java </h4>
							<p>
								En esta fuente, el autor del blog nos explica los beneficios de programar nuestras
								aplicaciones en Java, teniendo en cuenta cinco puntos importantes: que es
								multiplataforma, el código es robusto, es orientada a objetos, funcionalidad de base y
								que es fácil de aprender.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.campusmvp.es/recursos/post/5-motivos-por-los-que-utilizar-java-para-desarrollar-tus-aplicaciones.aspx">5
								motivos por los que utilizar Java para desarrollar tus aplicaciones</a>
							<br>
							<br>
							<h4>3.3.5 Fuente de información 5 sobre Java </h4>
							<p>
								En esta fuente de información nos explican las principales características del lenguaje
								Java, su seguridad al elaborar aplicaciones y una breve explicación a la programación
								orientada a objetos.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="http://personales.upv.es/rmartin/cursojava/java/introduccion/principalescaracteristicas.htm">Principales
								Características de JAVA.
							</a>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="4">
							<h2>4. Fuentes de información (cursos no gratuitos)</h2>
							<br>
							<h3>4.1 Cursos no gratuitos sobre el tipo de tecnologí­a en general </h3>
							<br>
							<h4>4.1.1 Curso no gratuito 1 sobre el tipo de tecnologí­a en general</h4>
							<p>Este curso enseñará al alumno a diseñar y construir aplicaciones Java paralelas
								y algoritmos distribuidos a escala, crear sistemas de software basados en la nube,
								implementar programas distribuidos en la nube que atienden a millones de usuarios y
								mas...
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.udemy.com/course/distributed-systems-cloud-computing-with-java/">Distributed
								Systems & Cloud Computing with Java</a>
							<br>
							<br>
							<h3>4.2 Cursos no gratuitos sobre Kotlin </h3>
							<br>
							<h4>4.2.1 Curso no gratuito 1 sobre Kotlin</h4>
							<p>
								Hay que registrarse previamente para acceder a su contenido. Se trata de un curso cuyo
								precio es de 13.99€ que abarca desde los conceptos básicos

								de Kotlin hasta crear aplicaciones Android usando este lenguaje. Tiene una duración
								total 47 horas repartidas en 27 secciones que contienen en

								su totalidad 330 clases en formato de vídeo
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.udemy.com/course/android_kotlin/">Android y Kotlin Desde Cero a
								Profesional Completo +45 horas</a>
							<br>
							<br>
							<h4>4.2.2 Curso no gratuito 2 sobre Kotlin</h4>
							<p>
								Hay que registrarse previamente para acceder a su contenido. Se trata de un paquete que
								contiene dos cursos de Kotlin, el primero es el nivel básico

								para gente que se inicia en este lenguaje y el segundo curso es para aquellos que sepan
								los conceptos fundamentales de Kotlin y quieran ir un poco más

								allá. Su precio total es de 302,50€ aunque también dispone la opción de comprar cada
								curso por separado que costaría un total de 199.99€ cada uno
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://plataforma.keepcoding.io/p/experto-en-kotlin-desde-cero-avanzado">Paquete
								Kotlin: Desde Cero + Avanzado
							</a>
							<br>
							<br>
							<h4>4.2.3 Curso no gratuito 3 sobre Kotlin</h4>
							<p>Hay que registrarse previamente para acceder a su contenido. Se trata de un curso cuyo
								precio es de 20€ que trata desde la sintaxis del lenguaje hasta
								su uso en aplicaciones Android. Tiene una duración aproximada de 7 horas y un nivel
								intermedio. Las lecciones del curso están en formato de vídeo
								y son un total de 43 clases.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://ed.team/cursos/kotlin ">Curso: Kotlin desde cero</a>
							<br>
							<br>
							<h4>4.2.4 Curso no gratuito 4 sobre Kotlin</h4>
							<p>Hay que registrarse previamente para acceder a su contenido. Se trata de un curso de
								UDEMY cuyo precio es de 11,99€ que trata desde la sintaxis del lenguaje
								hasta su uso en aplicaciones Android. Las lecciones del curso están en formato de vídeo
								y son un total de 79 clases.</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.udemy.com/course/curso-kotlin-desde-cero-a-pro-desarrolla-tus-aplicaciones/">Curso
								Kotlin en Español para Android | De Cero a Profesional</a>
							<br>
							<br>
							<h3>4.3 Cursos no gratuitos sobre Java </h3>
							<br>
							<br>
							<h4>4.3.1 Curso no gratuito 1 sobre Java</h4>
							<p>
								Curso disponible a todo usuario que se registre en la página web y pague la cuota de
								19,99€ (en este momento se ha rebajado el precio como muchos otros cursos).
								Dura más de 82 horas, formado por 121 secciones y se aprende desde programación Java
								hasta programación orientada a objetos para dominar las funciones del lenguaje ,
								conexión a bases de datos y crear aplicaciones web.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.udemy.com/course/universidad-java-especialista-en-java-desde-cero-a-master/?gclid=Cj0KCQjwpfHzBRCiARIsAHHzyZpAmHWw_qkiG51KoQqdSCe0S7_UPoxOhuAnPoPECBiJiY673-rCMsoaAvZKEALw_wcB&utm_campaign=20181003-Spanish-spain&utm_content=deal4584&utm_medium=udemyads&utm_source=adwords-intl&utm_term=_._ag_60215672339_._kw_cursos+java+online_._ad_376962789094_._de_c_._dm__._pl__._ti_kwd-425853910466_._li_9047045_._pd__._">Universidad
								Java: De Cero a Master </a>
							<br>
							<br>
							<h4>4.3.2 Curso no gratuito 2 sobre Java </h4>
							<p>Con este curso el estudiante aprenderá todo lo que necesita sobre la programación con
								Java desde cero hasta el nivel experto, donde conocerá toda la funcionalidad y será
								capaz de desarrollar todas sus ideas, desde webs complejas y funcionalidades
								específicas hasta aplicaciones ejecutables desde cualquier dispositivo imaginable.

								Para obtener información de este curso sebe solicitar añadiendo un nombre, un
								teléfono y un correo. El curso tiene una cuota de 85€ formado por varios temas de
								formación técnica y otros tantos de formación específica en la que se realizarán
								exámenes.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://cloudftic.com/cursos-data/cursos-programacion/curso-programacion-backend-con-java/?utm_source=google&utm_source=google&gclid=Cj0KCQjwpfHzBRCiARIsAHHzyZqaBzPHyXfTIQBP9gVTW2R1buHKr1mfMJb_ej8uKJrrxwhv6Rr6AyMaAjWGEALw_wcB">Curso
								Programación Backend

								con Java</a>
							<br>
							<br>
							<h4>4.3.3 Curso no gratuito 3 sobre Java </h4>
							<p>Con este curso, el estudiante podrá aprender desde el nivel básico al más avanzado
								del lenguaje Java. Consta de varios temarios que el estudiante puede realizar en
								cualquier momento adaptándolo a su vida laboral, personal y aficiones.
								Le diferencian de otros cursos por tener profesores que ayuden a los estudiantes en
								la materia. Se debe registrar con un usuario y una contraseña y pagar una matrícula
								de 250€. Cuando se supera el curso, el estudiante obtiene un certificado oficial.
							</p>

							<a class="light-blue waves-effect waves-light btn"
								href="https://www.tokioschool.com/cursos/programador-java-ocp/">Curso de programador
								java</a>
							<br>
							<br>
							<h4>4.3.4 Curso no gratuito 4 sobre Java </h4>
							<p>Este curso de nivel principiante va dirigido a estudiantes con un nivel básico sobre
								Java que quieran aprender en este mundo. Al final del curso de 7 horas, compuesto
								por 11 secciones y un examen de evaluación, se proporcionará al estudiante un
								certificado digital.
								El temario está elaborado en formato de vídeo por un tutor especializado en el campo
								de la programación. Se debe registrar con un usuario y contraseña y pagar la cuota
								de 40€.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://codigofacilito.com/cursos/java-profesional">Curso Profesional de
								JAVA</a>
							<h4>4.3.5 Curso no gratuito 5 sobre Java</h4>
							<p>
								CICE ofrece varios cursos online y entre ellos se encuentra el Máster en Java y Bases
								de Datos. Los estudiantes que quieren matricularse deben registrar se el curso y
								pagar la matrícula que oscila los 3000€. Cada curso empieza en una fecha
								determinada. En este caso, empieza en abril, con un temario formado por 30
								secciones, con exámenes y profesores especializados.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.cice.es/master-java-gestion-bases-datos/?utm_source=google&utm_medium=cpc&utm_campaign=MH_2019_ES_MadridyAnexas_Master_JAVA_MJO&gclid=Cj0KCQjwpfHzBRCiARIsAHHzyZqV_uKUYOnBO1Hu5abcpka9rn0HeLRouR1h6KYG2rhvyIwCT6kG978aApWSEALw_wcB">Máster
								en Java y Administración de Bases de Datos </a>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="5">
							<h2>5. Fuentes de información (cursos gratuitos)</h2>
							<br>
							<h3>5.1 Cursos gratuitos sobre el tipo de tecnologí­a en general </h3>
							<br>
							<h4>5.1.1 Curso gratuito 1 sobre el tipo de tecnologí­a en general</h4>
							<p>Este curso enseña el manejo de la memoria y recolección de basura, diseccionar
								problemas de memoria y saber sus causas y aprender a diágnosticar la información
								que puede ayudar a enteder y solucionar los problemas de memoria.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://apexapps.oracle.com/pls/apex/f?p=44785:50:109502304393136:::50:P50_COURSE_ID,P50_EVENT_ID:185,5777">Java
								Virtual Machine Troubleshooting
							</a>
							<br>
							<br>
							<h3>5.2 Cursos gratuitos sobre Kotlin </h3>
							<br>
							<br>
							<h4>5.2.1 Curso gratuito 1 sobre Kotlin</h4>
							<p>
								Se trata de un curso gratuito de Kotlin, en el cual podemos acceder a su contenido sin
								necesidad de registrarnos.
								Se trata de un curso que consta de 22 capítulos donde te explican en cada uno de ellos
								contenido de Kotlin. Estos capítulos se
								componen de imágenes y texto en vez de vídeos explicados por gente que tiene amplios
								conocimientos del tema
								como suele ser en la mayoría de los cursos.
							</p>
							<a class="light-blue waves-effect waves-light btn" href="https://cursokotlin.com/">CURSO
								KOTLIN PARA ANDROID
								Aprende a programar en el lenguaje del futuro
							</a>
							<br>
							<br>
							<h4>5.2.2 Curso gratuito 2 sobre Kotlin</h4>
							<p>
								Este curso de Kotlin es gratuito y se diferencia del primero en que hay que registrarse
								para acceder al contenido del curso.
								A diferencia del primero, este curso consta de 19 capítulos en total donde el contenido
								de cada uno de ellos se muestra en vídeos.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://devcode.la/cursos/kotlin/">Curso de Kotlin Fundamentos Gratis</a>
							<br>
							<br>
							<h4>5.2.3 Curso gratuito 3 sobre Kotlin</h4>
							<p>Este curso de Kotlin se trata de un PDF que abarca desde su instalación hasta los
								conceptos más importantes del lenguaje. Consta de 17 capítulos.</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.lawebdelprogramador.com/pdf/14198-Curso-Kotlin.html">Curso Kotlin</a>
							<br>
							<br>
							<h4>5.2.4 Curso gratuito 4 sobre Kotlin</h4>
							<p>
								Este curso de Kotlin cuyo autor es Antonio Leiva consta de 30 capítulos. Estos capítulos
								se componen de imágenes y texto en vez de vídeos explicados
								por gente que tiene amplios conocimientos del tema como suele ser en la mayoría de los
								cursos.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://devexperto.com/kotlin-android-curso-gratis/">Conviértete en un experto en
								Kotlin para Android
							</a>
							<br>
							<br>
							<h4>5.2.5 Curso gratuito 5 sobre Kotlin</h4>
							<p>Este curso de Kotlin consta de 8 clases con un total de 49 capítulos. Estos capítulos son
								videos explicativos de Kotlin.
								Para acceder a estos videos, hay que descargárselos. Para descargarlos, al final de la
								página aparecen tres ventanas, donde cada una te lleva a la página web de MEGA para
								descargar todos los videos.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.intarcesoft.com.ve/es/cursos-gratis/curso-aprende-a-programar-kotlin-desde-cero.html">Curso
								Aprende a programar Kotlin Desde Cero
							</a>
							<br>
							<br>
							<h3>5.3 Cursos gratuitos sobre Java </h3>
							<br>
							<br>
							<h4>5.3.1 Curso gratuito 1 sobre Java</h4>
							<p>
								Consiste en un curso gratuito de programación de Java donde se aprende las estructuras básicas. 
Se necesita inscribirse en el curso mediante una cuenta en la página web de EDX. El próximo curso comienza a partir del 29 de marzo. 
Son 80 horas completas de curso con vídeos explicativos y ejercicios a realizar por el estudiante. El curso va dirigido principalmente a estudiantes con un nivel principiante en la programación. 


							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.edx.org/es/course/introduccion-a-la-programacion-en-java-estructuras">Introducción a la programación en Java: estructuras de datos y algoritmos
							</a>
							<br>
							<br>
							<h4>5.3.2 Curso gratuito 2 sobre Java </h4>
							<p>
								En este curso de fundamentos de programación de Java se practican los conceptos básicos
								de programación como variables, ciclos, y sentencia de control que son el principal
								bloque de una construcción de cualquier aplicación en Java.
								Está compuesto por tres secciones divididas en dieciséis capítulos donde se llegará a
								entender la tecnología elegida. El único requerimiento de este curso es crear una cuenta
								en la página web del curso y empezar, aparte de tener ganas de aprender sobre este
								lenguaje de programación.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://devcode.la/cursos/fundamentos-java/">Curso de Java Gratis</a>
							<br>
							<br>
							<h4>5.3.3 Curso gratuito 3 sobre Java </h4>
							<p>
								Este curso está disponible a todo usuario que se registre en la página web. Está
								compuesto por 27 temarios (todos en vídeo) bien estructurados y simples para el
								entendimiento del estudiante. Aunque el curso sea más breve que otros, su durabilidad es
								de 5 horas y 17minutos, lleva a cabo la función de explicar los fundamentos básicos del
								lenguaje Java.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://codigofacilito.com/cursos/JAVA">Curso de JAVA Básico Gratis</a>
							<br>
							<br>
							<h4>5.3.4 Curso gratuito 4 sobre Java </h4>
							<p>
								Este curso está disponible a todo usuario y gratis en su página web. Está compuesto por
								varias secciones y distintos niveles de dificultad, desde lo más básico hasta un nivel
								más avanzado.
								Las diferentes secciones son bastante extensas, con mucha información y ejemplos que
								favorecen al estudiante. Sin embargo, no se publican vídeos educativos sobre el tema.
							</p>
							<a class="light-blue waves-effect waves-light btn" href=" https://javadesdecero.es/">Curso
								Java desde Cero</a>
							<h4>5.3.5 Curso gratuito 5 sobre Java</h4>
							<p>
								Aunque hay muchos cursos disponibles online, en la aplicación de visualización de vídeos
								Youtube se publican contantemente videos que ayudan a los programadores nóveles a
								aprender sobre el lenguaje.
								Uno de estos casos, es el canal de Youtube “PildorasInformatica”, en el cual, aparte de
								enseñar de forma gratuita Java, enseñan a sus subscriptores todo tipo de lenguaje
								de programación. Se puede seguir un curso de Java compuesto por 276 vídeos, alrededor de
								130 horas, en una lista de reproducción creada por el canal. Para realizar este curso se
								debe tener una cuenta de Youtube y reproducir los vídeos de dicha lista.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.youtube.com/channel/UCdulIs-x_xrRd1ezwJZR9ww">pildorasinformaticas</a>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="6">
							<h2>6. Ayudas económicas para estudiar las tecnologí­as</h2>
							<br>
							<h3>6.1 Ayuda 1</h3>
							<p>En España todas las empresas reciben un dinero para formar a sus empleados,
								este dinero es lo que se llama un "Crédito de Formación". Estos solo son validos
								por los cursos llamados "Cursos bonifidos". Los "Cursos bonificados" son cursos que
								paga la empresa y no el trabajador.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.campusmvp.es/descuentos/formacion-bonificada">Formación
								bonificada</a>
							<br>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.cursosbonificados.org.es/master.html">Cursos y masters
								bonificados</a>
							<br>
							<br>
							<h3>6.2 Ayuda 2</h3>
							<p>
								El Estado Español ofrece ayudas económicas a los estudios de grados universitarios a
								los alumnos españoles. En el plan de estudios de esta carrera
								hay diversas asignaturas en las que se estudian uno de los lenguajes de nuestra
								tecnología, en este caso Java.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="http://www.educacionyfp.gob.es/servicios-al-ciudadano/catalogo/estudiantes/becas-ayudas/para-estudiar/universidad/grado/becas-generales-universitarias.html">Beca
								ofrecida por el Gobierno Español</a>
							<br>
							<a class="light-blue waves-effect waves-light btn"
								href="http://www.educacionyfp.gob.es/educacion/mc/becas-generales/2019-2020/estudios-universitarios/requisitos.html">Requisitos
								generales para adquisición de la beca</a>
							<br>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.uah.es/export/sites/uah/es/estudios/.galleries/Archivos-estudios/GR/Unico/AG581_2_6_11_E_Plan-estudios-G581.pdf">Plan
								de estudios de Ingeniería en Sistemas de Información</a>
							<br>
							<p>Dentro del plan de estudios de esta carrera se encuentran dos asignaturas en las que
								se adquieren conocimientos de Java:
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.uah.es/export/shared/es/estudios/estudios-oficiales/grados/.galleries/Programas/G581/581005_G581_2019-20.pdf">Guía
								docente de la asignatura "Paradigmas de la programación"</a>
							<br>
							<p>En la sección 1.b Course Summary (resumen del cursos) de esta guia docente leemos la
								siguiente frase:
								Java programming language is used along the course to show examples and to implement
								every type of program.
								La cual si traducimos del inglés dice: El lenguaje de programación es utilizado a lo
								laro del curso para la muestra de ejmplos e implemetación de cualquier programa.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.uah.es/export/shared/es/estudios/estudios-oficiales/grados/.galleries/Programas/G581/781000_G581_2019-20.pdf">Guía
								docente de la asignatura "Programación"</a>
							<p>
								En la sección 1. Presentación de esta guia docente leemos la siguiente frase:
								Estos conocimientos teóricos se llevarán a la práctica mediante el lenguaje de
								programación orientado a objetos Java.
							</p>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="7">
							<h2>7. Recursos software o hardware para implementar las tecnologí­as</h2>
							<br>
							<h3>7.1 Recursos para implementar Kotlin</h3>
							<br>
							<br>
							<h4>7.1.1 Recursos gratuitos para implementar Kotlin</h4>
							<br>
							<br>
							<h4>7.1.1.1 Recurso gratuito 1 para implementar Kotlin: Android Studio</h4>
							<p>Es el IDE que usa oficialmente la plataforma de Android. A partir de la versión 3.0,
								Android Studio tiene compatibilidad con Kotlin,
								por lo que podemos crear programas en dicho lenguaje.
								<br>
								Algunas características de Android
								Studio son:
								<ul>
									<li>• Integración con la nube</li>
									<li>• Editor inteligente de código</li>
									<li>• Capacidad de ejecución</li>
								</ul>
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://developer.android.com/studio?hl=es">Android Studio</a>
							<br>
							<br>
							<h4>7.1.1.2 Recurso gratuito 2 para implementar Kotlin: Eclipse</h4>

							<p>Eclipse es una plataforma de desarrollo, diseñada para ser extendida de forma indefinida
								a través de plugins.
								<br>
								No fue creada para un
								lenguaje específico, sino que es un IDE genérico, aunque goza de mucha popularidad entre
								la comunidad de desarrolladores del lenguaje Java,
								aunque también se puede usar para Kotlin.
								<br>
								Para ello hay que agregar el soporte para
								Kotlin por medio de un complemento llamado Kotlin para Eclipse,
								este plugin nos permite escribir, ejecutar, depurar y probar programas en Kotlin.

							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.eclipse.org/">Eclipse</a>
							<br>
							<br>
							<h4>7.1.2 Recursos no gratuitos para implementar Kotlin</h4>
							<br>
							<br>
							<h4>7.1.2.1 Recurso no gratuito 1 para implementar Kotlin: Gradle Enterprise</h4>
							<p>Gradle Enterprise, es un recurso software de pago que nos proporciona los datos para acelerar la compilación,
							    mejorar la fiabilidad de la compilación y acelerar la depuración de la compilación. También nos permite realizar 
								la comparación de los análisis de compilación entre distintos lenguajes para encontrar diferencias. 
								Para acceder a él, hay que registrarse previamente y pagar una cuantía. Cuenta con soporte para diversas 
								tecnologías y lenguajes como por ejemplo Kotlin o Groovy. En el caso de Kotlin, está disponible por medio de un
								plugin. En la página web oficial, podemos encontrar un vídeo en el cuál nos explica a fondo, todas las operaciones 
								que podemos realizar con Gradle Enterprise.
								
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://gradle.com/">Gradle Enterprise</a>
							<br>
							<br>
							<h4>7.1.2.2 Recurso no gratuito 2 para implementar Kotlin: IntelliJ IDEA</h4>
							<p>
								IntelliJ IDEA es un IDE para el desarrollo de programas. Tiene dos versiones: la
								gratuita
								(Community) y la de pago (Ultimate).
								<br>
								En este caso hablaremos de la versión Ultimate.
								La versión Community ofrece soporte para Java, Groovy, Kotlin, XML, JSON, YAML; mientras
								que la versión Ultimate soporta estos y otros lenguajes como JavaScrip, TypeScript, SQL,
								XSL, XPath. Además, algunos otros lenguajes como Ruby, Phyton o PHP también son
								soportados por medio de plugins.
								<br>
								La versión Ultimate está hecha para el desarrollo de proyectos profesionales o para
								empresas de gran tamaño. Algunas ventajas que aporta este IDE son:

								<ul>
									<li>• Herramientas integradas para desarrolladores</li>
									<li>• Soporte de frameworks</li>
									<li>• Enfocado a proyectos complejo</li>
								</ul>
								<p>
									Cabes destacar que IntelliJ IDEA es una herramienta creada por JetBrains, los
									creadores de Kotlin.
								</p>
							</p>

							<a class="light-blue waves-effect waves-light btn"
								href="https://www.jetbrains.com/es-es/idea/download/#section=windows">IntelliJ IDEA</a>
							<br>
							<br>
							<h3>7.2 Recursos para implementar Java </h3>
							<br>
							<br>
							<h4>7.2.1 Recursos gratuitos para implementar Java </h4>
							<p>
								NetBeans es un entorno integrado de desarrollo para Java que se emplea ampliamente para
								desarrollo de software. Funciona en base a módulos, de modo que se puede extender de
								manera sencilla. Además, se puede integrar fácilmente con controladores de versiones.
								Con este programa se puede crear aplicaciones web o para ordenadores y móviles que
								funcionen en diversas plataformas.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://netbeans.org/features/java/index.html">NeatBeans</a>
							<br>
							<br>
							<h4>7.2.2 Recursos no gratuitos para implementar Java </h4>
							<p>
								Oracle es la plataforma principal en la que los usuarios pueden descargar una aplicación
								Java y se actualiza periódicamente. Con la nueva actualización llamada Oracle JDK 13
								mejora el rendimiento de la aplicación y añade nuevos idiomas. Para realizar
								aplicaciones y hacerlas funcionar se debe pagar una licencia a Oracle. Este cambio de
								pagar la licencia para hacer funcionar una aplicación se desarrolló a partir de Java 11
								y el JDK11. Aunque el coste sea bajo ($2.5) hace que varios usuarios escojan otras
								opciones.
							</p>
							<a class="light-blue waves-effect waves-light btn"
								href="https://www.oracle.com/es/java/">Oracle Java </a>
						</div>
						<br>
						<br>
						<hr>
						<br>
						<br>
						<div id="8">
							<h2>8. Conclusiones</h2>
							<p>
								En cuanto al contenido del trabajo, hemos descubierto bastantes recursos acerca de
								Kotlin y Java, incluidos
								cursos y recursos software. Acerca de los cursos, la verdad no ha supuesto un esfuerzo
								mayor encontrar cursos
								gratuitos y de pago, siendo abundantes en ambos casos. Sin embargo, a la hora de buscar
								recursos SW, la gran
								mayoría suelen ser gratuitos, añadiendo la opción de pagar para extender las
								funcionalidades del SW (aunque
								esto no supone para el desarrollo de programa utilizando estos lenguajes).
								<br>
								En cuanto al proceso de desarrollo, el mayor problema a la hora de realizar el trabajo
								se debe a
								que algunos compañeros no tenemos el conocimiento suficiente en HTML para realizar la
								práctica.
								Por lo tanto, se han generado muchos conflictos y problemas con las etiquetas y demás
								elementos, provocando
								así dificultades extras.
								<br>
								Sin embargo, al tener un compañero experimentado en desarrollo web, hemos podido
								realizar la práctica. De cara
								a la segunda, nuestro compañero nos ayudará a entender mejor la estructura para agilizar
								el trabajo.
								<br>
								Finalizando, ha sido bastante interesante trabajar con Git y Gitlab, dos herramientas
								que hemos visto muy completas
								para desarrollar un producto, aunque está claro que algunos componentes del grupo aún
								tenemos que aprender
								a utilizarlas.
							</p>
						</div>
						<br>
						<br>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>

</html>